Subject: bug#60237: 30.0.50; tree sitter core dumps when I edebug view a node

From: Dmitry Gutov <[email-masked]>
Date: Tue, 28 Feb 2023 00:45:51 +0200

On 28/02/2023 00:37, Yuan Fu wrote:
>> My main interest is now refactoring and how to best do it. If TS can
>> do some of it, then all the better. I realise it was never meant to,
>> but if we can continue accessing the information contained in a node
>> even if it is outdated, then that could be useful, however niche.
> I guess “refactoring” includes not only whitespace changes but also some structural changes like slurping (or whatever it’s called), right? If you want to do structural changes, tree-sitter probably can’t help you much, as you observed. Maybe it’s better to “export” the tree-sitter tree to your own tree and do transformations with it? Maybe that’s already what you does now.
> 

Or simply produce all the editing information up front, and then modify 
the buffer in different places in one swoop.

Just like treesit-indent-region does.

That almost the same as described, but doesn't require creating a 
parallel parse tree hierarchy.